%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE mBE_USER
  !**********************************************************
  !
  ! (c) ABB
  !
  !**********************************************************
  !
  ! Module:       mBE_USER
  !
  ! Written by:   
  !
  ! Description:  Module that holds procedures for
  !               using Bullseye
  ! Procedures:   
  !
  ! Functions:    
  !
  ! Created:      2006-11-03
  !
  ! Version:      1.0
  !
  ! History:      1.0
  !                 Created
  !
  !
  !
  !**********************************************************
  !  
  CONST ee_event peBE_USER_MenuLang:=[EE_START,"mBE_USER:ChangeMenuLang","",1,255];      
  !
  !**********************************************
  !* DATA USED BY BULLSEYE                      *
  !**********************************************
  !
  TASK PERS num nStickout:=15;
  !  
  !**********************************************
  !* ROBTARGETS                                 *
  !**********************************************  
  !
  TASK PERS jointtarget jtBEApproachPos:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
  TASK PERS jointtarget jtBEStartPos:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
  !
  !**********************************************
  !* DATA USED BY BULLSEYE                      *
  !**********************************************  
  !
  CONST be_device devUp  :=["diBE_SEN2",TRUE,[6,45,100,100],[40,45,100,100],0.1,FALSE,FALSE,TRUE];
  CONST be_tooldesign tdWeldGun := [TRUE,30,18,30,6,6,TRUE,TRUE,1,[150,120,100,100],[250,150,100,100]];
  CONST be_scan scWeldGun := [2,8,8,45,35,25];  
 ! 
  !**********************************************
  !GAP SETUPMENU ENTRY                          *
  !**********************************************  
  !
  TASK PERS menudata mdBESetupTool:=["Bullseye#Setup TCP","System.Drawing.Bitmap","BESetupTool",255,"",255,TRUE,1,0,TRUE,0];
  !
  !**********************************************
  !GAP SERVICEMENU ENTRY                        *
  !**********************************************  
  !
  TASK PERS menudata mdBECheckTool:=["Bullseye#Quick Check","GapBullseye32.gif","BECheckTool",255,"",255,TRUE,2,0,FALSE,0];
  TASK PERS menudata mdBEUpdateTool:=["Bullseye#Update TCP", "GapBullseye32.gif","BEUpdateTool",255,"",255,TRUE,2,0,FALSE,0];
  TASK PERS menudata mdBERefPointer:=["Bullseye#Move TCP to reference pointer", "GapBullseye32.gif","BERefPoint",255,"",255,TRUE,2,0,FALSE,0];
  !
  TASK PERS pm_setupflag BeSetupToolIsSetup:=[FALSE,"mdBESetupTool",2,""];
     
  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  !  
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "mdBESetupTool","Bullseye",TextResGet(TextResTabGet("FlexArcText"),3);
	  pmSetMenuDataDesc "mdBECheckTool","Bullseye",TextResGet(TextResTabGet("FlexArcText"),6);
	  pmSetMenuDataDesc "mdBEUpdateTool","Bullseye",TextResGet(TextResTabGet("FlexArcText"),7);
	  pmSetMenuDataDesc "mdBERefPointer","Bullseye",TextResGet(TextResTabGet("FlexArcText"),8);
    !  
  ENDPROC      
  
  
  !---------------------------------------------------------------------------
  ! Procedure BESetupTool
  !---------------------------------------------------------------------------  
  !
  PROC BESetupTool()
    VAR string sHeader;
    VAR string sMsgArr{5};  
    !
    sHeader:=TextResGet(TextResTabGet("FlexArcText"),18);  
    sMsgArr{1}:=TextResGet(TextResTabGet("FlexArcText"),14);
    sMsgArr{2}:=TextResGet(TextResTabGet("FlexArcText"),15);
    sMsgArr{3}:=TextResGet(TextResTabGet("FlexArcText"),16)+ValToStr(nStickout);
    sMsgArr{4}:="";
    sMsgArr{5}:=TextResGet(TextResTabGet("FlexArcText"),17);
    !
    nStickout:=UINumEntry(\Header:=sHeader\MsgArray:=sMsgArr\Icon:=iconInfo\InitValue:=nStickout);
    pmUIMenuMsgBox mdBESetupTool\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks\Image:="Bullseye_Big.gif";
    !Modify jtBEApproachPos and jtBEStartPos
    BESetupToolJ jtBEApproachPos,jtBEStartPos,nStickout,tdWeldGun,scWeldGun,devUp,v100,fine,tWeldgun;
    SetSetupFlag BeSetupToolIsSetup;       
  ENDPROC
   
   
  !---------------------------------------------------------------------------
  ! Procedure BECheckTool
  !---------------------------------------------------------------------------
  !    
  PROC BECheckTool()
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    ! 
    BeOperationJ\CheckTcp,jtBEApproachPos,jtBEStartPos,v1000,z5,tWeldGun;
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
  ENDPROC


  !---------------------------------------------------------------------------
  ! Procedure BEUpdateTool
  !---------------------------------------------------------------------------
  !  
  PROC BEUpdateTool()
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    !
    BeOperationJ\UpdateTcp,jtBEApproachPos,jtBEStartPos,v1000,z5,tWeldGun;
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    !
  ENDPROC

  !---------------------------------------------------------------------------
  ! Procedure BEUpdateTool
  !---------------------------------------------------------------------------
  !
  PROC BERefPoint()
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    !
    BeOperationJ\RefPointer,jtBEApproachPos,jtBEStartPos,v1000,z5,tWeldGun;
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    !
  ENDPROC
ENDMODULE
