%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE mPartR1S2
  !**********************************************************
  !
  ! (c) ABB
  !
  !**********************************************************
  !
  ! Module:       PartR1S2
  !
  ! Written by:    
  !
  ! Description:  Module that holds the robot 1 program for station 2.
  !
  ! Procedures:   ProgStn2
  !
  ! Functions:    None
  !
  ! Created:      2007-06-03
  !
  ! Version:      1.0
  !
  ! History:      1.0
  !                  
  !                
  !                  
  !                  
  !                
  !                  
  !       If your FlexArc has a Siemens 315-2DP PLC the
  !       following Codes are pre-defined.  
  !
  ! 	    Code 1 - 127 Tooling without control/signals 
  ! 		  Code 128 - 254 Tooling with control/signals 
  !       Code 255 - DryRun 
  !
  !       Add the PLC code to partdata  
  !************************************************************
  !
  TASK PERS partdata pdProgStn2:=["ProgStn2","Program station 2","T_ROB1:T_ROB2:T_POS1",2,1,"GapEmptyPart200.gif","pdvProgStn2"];
  PERS partadv pdvProgStn2:=[[0,0,0,0,0,0],[0,0,0,0,0,0],[0,0,0,0,0,0],[0,[0,0,0],[0,0,0,0],0,0,0]];
  !
  TASK PERS partdata pdEmptyCycleS2:=["EmptyCycleStn2","No production on station 2","T_ROB1:T_ROB2:T_POS1",2,255,"GapEmptyPart200.gif","pdvEmptyCycleS2"];
  PERS partadv pdvEmptyCycleS2:=[[0,0,0,0,0,0],[0,0,0,0,0,0],[0,0,0,0,0,0],[0,[0,0,0],[0,0,0,0],0,0,0]];

  !
  !---------------------------------------------------------------------------
  ! Procedure ProgStn2
  !---------------------------------------------------------------------------
  !
  PROC ProgStn2()
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
    RecoveryPosSet\ServRoutine:="ServiceRoutine";
    !
    ! This is the work program for station 1
    ! Put your process instructions here or
    ! put a procedure call for your program
    !
    ! Remove below stop instruction before
    ! production.
    !
    Stop;
    !  
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  RecoveryPosReset;    
	  !
  ENDPROC

  !---------------------------------------------------------------------------
  ! Procedure EmptyCycle_Stn2
  !---------------------------------------------------------------------------
  !
  PROC EmptyCycleStn2()
    RETURN;
  ENDPROC
ENDMODULE
