
%%%
   VERSION: 1
   LANGUAGE: ENGLISH
%%%

MODULE mService
 !**********************************************************
  !
  ! (c) ABB
  !
  !**********************************************************
  !
  ! Module:       mService
  !
  ! Written by:   
  !
  ! Description:  Module that holds procedures for
  !               Robot1
  ! Procedures:   
  !
  ! Functions:    
  !
  ! Created:      2006-11-03
  !
  ! Version:      1.0
  !
  ! History:      1.0
  !                 Created
  !
  !
  !
  !**********************************************************
  !
  !**********************************************************
  !*worldzones                                              *
  !**********************************************************  
 	!
 	VAR wztemporary wzAtSafe;
 	VAR wztemporary wzAtService;
  !
  !**********************************************************
  !*  variables / Constants                                 *
  !**********************************************************  
  !
  VAR num nPartCount;
  !
  !**********************************************************
  !GAP Service menu                                         *
  !**********************************************************
  !
  TASK PERS menudata mdRobMoveSync := ["CellPositions#Move robot to sync position","GapIRB140Icon.gif","MoveToSync",255,"",255,TRUE,2,0,FALSE,0];
  TASK PERS menudata mdRobSafe:=["CellPositions#Move robot to Homeposition","RobotAtHome.gif","MoveToHome",255,"",255,TRUE,2,0,FALSE,0];
  TASK PERS menudata mdRobServPos:=["CellPositions#Move Robot to Service Position","RobAtServPocket.gif","MoveToService",255,"",255,TRUE,2,0,FALSE,0];
  !
  !**********************************************************
  !GAP Setup menu                                           *
  !**********************************************************
  !
  TASK PERS menudata mdModifyHomePos:=["CellPositions#Set/Change robot Homeposition","RobAtHome.gif","ModifyHomePos",255,"",255,TRUE,1,0,TRUE,0];
  TASK PERS menudata mdSetServicePos:=["CellPositions#Set/Change the move to service path","RobAtServPocket.gif","ModifyServicePos",255,"",255,TRUE,1,0,TRUE,0];
  TASK PERS menudata mdClearPart:=["ProdMon#Clear PartCounter in Production Monitoring","","ClearPartCount",255,"",255,TRUE,1,255,TRUE,0];
  TASK PERS menudata mdResetAccArc:=["ProdMon#Reset Accumulated Arctime in Production Monitoring","","ClearArcAccum",255,"",255,TRUE,1,0,TRUE,0];
  !
  !**********************************************************
  !GAP EVENT                                                *
  !**********************************************************
  !   
 CONST ee_event peServiceMenuLang:=[EE_START,"mService:ChangeMenuLang","",1,255];    
  !
  !
  !**********************************************************
  !setupflag                                                *
  !**********************************************************
  !
	TASK PERS pm_setupflag bpmSetupService:=[FALSE,"mdSetServicePos",3,""];
  TASK PERS pm_setupflag pmbModifyHomePos:=[FALSE,"mdModifyHomePos",1,""];

	CONST pm_initmovedata imvMoveToHome:=[1,100,"Robot Home Position","RobotAtHome.gif"];
   
  !**********************************************************
  ! Robtargets / Jointtargets                               *
  !**********************************************************
  !
  !jtApproachService = Approach position to Servicepocket
  !pAtService    = Service position (Nozzle and Gas-Cup can be changed)
  !jtHome      = Robots home position
  !jtSyncPos     = Position to check the rev.counter
  ! 
  CONST jointtarget jtApproachService:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
  CONST jointtarget jtSyncPos:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
  CONST robtarget pAtService:=[[0,0,0],[0,0,1,0],[0,0,-1,0],[9E+09,9E+09,9E+09,9E+09,9E+09,9E+09]];
  CONST jointtarget jtHome:=[[0,-30,0,0,30,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
  !
  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  !  
 LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "mdClearPart","ProdMon",TextResGet(TextResTabGet("FlexArcText"),1);
    pmSetMenuDataDesc "mdResetAccArc","ProdMon",TextResGet(TextResTabGet("FlexArcText"),2);
    pmSetMenuDataDesc "mdRobMoveSync","CellPositions",TextResGet(TextResTabGet("FlexArcText"),22);
    pmSetMenuDataDesc "mdRobSafe","CellPositions",TextResGet(TextResTabGet("FlexArcText"),23);
    pmSetMenuDataDesc "mdRobServPos","CellPositions",TextResGet(TextResTabGet("FlexArcText"),24);
    pmSetMenuDataDesc "mdModifyHomePos","CellPositions",TextResGet(TextResTabGet("FlexArcText"),25);
    pmSetMenuDataDesc "mdSetServicePos","CellPositions",TextResGet(TextResTabGet("FlexArcText"),26);
    !
  ENDPROC   
  
  ! 
  !---------------------------------------------------------------------------
  ! Procedure BeforePart
  !---------------------------------------------------------------------------
  !  
  PROC BeforePart()
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    SetCurrPartCount nPartCount;
  ENDPROC  

  ! 
  !---------------------------------------------------------------------------
  ! Procedure AfterPart
  !---------------------------------------------------------------------------
  !  	
  PROC AfterPart()
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    GetCurrPartCount nPartCount;
 ENDPROC
  
  ! 
  !---------------------------------------------------------------------------
  ! Procedure ServiceRoutine
  !---------------------------------------------------------------------------
  !  
  PROC ServiceRoutine()
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    MoveToService;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    !
  ENDPROC

  ! 
  !---------------------------------------------------------------------------
  ! Procedure ClearPartCount
  !---------------------------------------------------------------------------
  !  
  PROC ClearPartCount()
    nPartCount:=0;
  ENDPROC
 
  ! 
  !---------------------------------------------------------------------------
  ! Procedure ClearArcAccum
  !---------------------------------------------------------------------------
  !   
  PROC ClearArcAccum()
    ResetArcAccum;
  ENDPROC
     
  ! 
  !---------------------------------------------------------------------------
  ! Procedure ModifyHomePos
  !---------------------------------------------------------------------------
  PROC ModifyHomePos()
    pmUIMenuMsgBox mdModifyHomePos\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks\Image:="RobotAtHome.gif";
	  CellMoveAbsJ jtHome,v100,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe\InitMoveCheck:=imvMoveToHome;
    SetSetupFlag pmbModifyHomePos;
  ENDPROC

  ! 
  !---------------------------------------------------------------------------
  ! Procedure ModifyServicePos
  !---------------------------------------------------------------------------
  !   
  PROC ModifyServicePos()
   	ExecProcByName\ProcName:="MoveToService"\ExitAtError;
  	SetSetupFlag bpmSetupService;
  ENDPROC
  
  ! 
  !---------------------------------------------------------------------------
  ! Procedure MoveToHome
  !--------------------------------------------------------------------------- 
  PROC MoveToHome()
    !
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe\InitMoveCheck:=imvMoveToHome;
    ! 
  ENDPROC

  ! 
  !---------------------------------------------------------------------------
  ! Procedure MoveToService
  !---------------------------------------------------------------------------
  PROC MoveToService()
    ShowWarningIfNotSetup bpmSetupService;
    pmUIMenuMsgBox mdSetServicePos\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks\Image:="FlexServWindowLarge.gif";
    CellMoveAbsJ jtApproachService,v1000,z10,tWeldGun\WObj:=wobj0\Signal:=soActServLight_R1\DOValue:=high;
    CellMoveL Offs(pAtService,0,0,200),v100,z10,tWeldGun\WObj:=wobj0;
    CellMoveL pAtService,v100,fine,tWeldGun\WObj:=wobj0\Signal:=soAtServiceR1_1\WorldZone:=wzAtService;
     pmStopAtService\Image:="FlexServWindowLarge.gif";       
    CellMoveL Offs(pAtService,0,0,200),v100,z10,tWeldGun\WObj:=wobj0;
    CellMoveAbsJ jtApproachService,v1000,z10,tWeldGun\WObj:=wobj0\Signal:=soActServLight_R1;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
	ENDPROC

  
  !---------------------------------------------------------------------------
  ! Procedure MoveToSync
  !---------------------------------------------------------------------------
  PROC MoveToSync()
    !
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe\InitMoveCheck:=imvMoveToHome;
    CellMoveAbsJ jtSyncPos,v200,fine,tool0\WObj:=wobj0;
    pmUIMsgBox "RobotAtSync Position",""\StopOrContinue\Image:="Irb1600AtSyncLarge.gif";
	  CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR1_1\WorldZone:=wzAtSafe;
    !
  ENDPROC
ENDMODULE