%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE mTSC
  !**********************************************************
  !
  ! (c) ABB
  !
  !**********************************************************
  !
  ! Module:       TSC
  !
  ! Written by:   
  !
  ! Description:  Module that holds procedures to control the
  !               Torch cleaner
  ! Procedures:   
  !
  ! Functions:    
  !
  ! Created:      2006-11-03
  !
  ! Version:      1.0
  !
  ! History:      1.0
  !                 Created
  !
  !
  !
  !**********************************************************
  !
  !**********************************************************
  !*Robtargets                                              *
  !**********************************************************  
  !
  CONST jointtarget jtApproachTSC:=[[0,0,0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pApproachClean:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pMechClean:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pApproachSpray:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];
	CONST robtarget pSpray:=[[0,0,0],[1,0,0,0],[0,0,0,0],[9E9,9E9,9E9,9E9,9E9,9E9]];! 

  !PM Setup menu
  TASK PERS menudata mdSetCleanGun:=["CellPositions#Set/Change Clean position","PM_TSC.gif","SetupMechClean",255,"",255,TRUE,1,0,TRUE,0];
  !PM Service menu
  TASK PERS menudata mdCleanGun:=["Tool#Clean weldgun","PM_TSC.gif","MechCleanGun",255,"",255,TRUE,2,0,TRUE,0];
  !
  TASK PERS pm_setupflag pmbModifyCleanPos:=[FALSE,"mdSetCleanGun",3,""];
  !
  CONST ee_event peTSC_MenuLang:=[EE_START,"mTSC:ChangeMenuLang","",1,255];

  !
  !---------------------------------------------------------------------------
  ! Procedure ChangeMenuLang
  !---------------------------------------------------------------------------
  !  
  LOCAL PROC ChangeMenuLang(\switch dummy)
    !
    pmSetMenuDataDesc "mdSetCleanGun","CellPositions",TextResGet(TextResTabGet("FlexArcText"),28);
    pmSetMenuDataDesc "mdCleanGun","Tool",TextResGet(TextResTabGet("FlexArcText"),29);
    !
  ENDPROC     
  ! 
  !---------------------------------------------------------------------------
  ! Procedure MechCleanGun
  !---------------------------------------------------------------------------
  !  
  PROC MechCleanGun()
    !
    ShowWarningIfNotSetup pmbModifyCleanPos;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
 	  !
  	pmUIMenuMsgBox mdSetCleanGun\ShowSetupOnly\RequireManualMode\StopExecution\AllMoveTasks\Image:="FlexToolCleanPosLarge.gif";
		CellMoveAbsJ jtApproachTSC,v500,z50,tWeldgun;
    !
    MoveMechCleanL pApproachClean,pMechClean,v200,z1,tWeldgun;
    MoveSprayL pApproachSpray,pSpray,v200,fine,tWeldgun;    
	  !
		CellMoveAbsJ jtApproachTSC,v500,z50,tWeldgun;
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0\Signal:=soAtSafeR2_1\WorldZone:=wzAtSafe;
    ! 
  ENDPROC

  !---------------------------------------------------------------------------
  ! Procedure MechCleanGun
  !---------------------------------------------------------------------------
  !  
  PROC SetupMechClean()
   	ExecProcByName\ProcName:="MechCleanGun"\ExitAtError;
  	SetSetupFlag pmbModifyCleanPos; 
  ENDPROC  

  !---------------------------------------------------------------------------
  ! Procedure TcQStopR2
  ! Connected to SysEvent QStop
  !---------------------------------------------------------------------------
  !  
  PROC TcQStopR2()
   	Reset soTc96_2_Start;
   	Reset soTc96_2_SprayOn;
  ENDPROC  
ENDMODULE
