mkdir -path $HOME/FlexArc
mkdir -path $HOME/FlexArc/Irbp
#
# Property of ABB
#
# Install.cmd script for 5.0
#
# BUILD REV  = 1
# BUILD DATE = 2007/08/20
#
echo -text "Loading Irbp Instructionset and Configuration ..."
#
setenv -Name "FUNCPACK" -value $BOOTPATH
#
########################################################
# Install IRBP Task and Motionplaner
########################################################

config -filename $BOOTPATH/Irbp/cfg/sys/sPos1Tsk.cfg -domain SYS
config -filename $BOOTPATH/Irbp/cfg/sys/sAwPos1Tsk.cfg -domain SYS
config -filename $BOOTPATH/Irbp/cfg/sys/sMug1SImp3.cfg -domain SYS


########################################################
# Install Drive EIO config for IRBP
########################################################

config -filename $BOOTPATH/Irbp/cfg/eio/Drveio_1.cfg -domain EIO
config -filename $BOOTPATH/Irbp/cfg/eio/Sim_irbp.cfg -domain EIO
config -filename $BOOTPATH/Irbp/cfg/eio/IoKR_Drveio1.cfg -domain EIO

########################################################
# Install config for IRBP
########################################################

config -filename $BOOTPATH/Irbp/cfg/moc/EXT_FYV01.cfg -domain MOC
config -filename $BOOTPATH/Irbp/cfg/moc/EXT_FYH22.cfg -domain MOC
config -filename $BOOTPATH/Irbp/cfg/moc/SEC_FYV01.cfg.enc -domain MOC -internal
config -filename $BOOTPATH/Irbp/cfg/moc/SEC_FYM01.cfg.enc -domain MOC -internal
config -filename $BOOTPATH/Irbp/cfg/moc//SEC_FYH22.cfg.enc -domain MOC -internal

echo -text "Installing config file for drive unit U, M7DM1"
config -filename $RELEASE/robots/drv1_lib/drvcfg/EXT_DRIVE_7U_DM1.cfg -domain MOC -replace

echo -text "Installing config file for drive unit T, M8DM1"
config -filename $RELEASE/robots/drv1_lib/drvcfg/EXT_DRIVE_8T_DM1.cfg -domain MOC -replace

echo -text "Installing config file for drive unit T, M9DM1"
config -filename $RELEASE/robots/drv1_lib/drvcfg/EXT_DRIVE_9T_DM1.cfg -domain MOC -replace

########################################################
# IRBP Calib. package V1.0.5
########################################################

echo -text "Installing IRBP Calib..."
echo -text " ver 1.0.5"
config -filename $BOOTPATH/Irbp/cfg/mmc/mPoscalib.cfg -domain MMC
config -filename $BOOTPATH/Irbp/cfg/sys/sPoscalibP1.cfg -domain SYS

########################################################
# Install Language support code
########################################################

copy -from $BOOTPATH/Irbp/Code/TXTRES.sys -to $HOME/FlexArc/Irbp/TXTRES.sys
config -filename $BOOTPATH/Irbp/cfg/sys/sTxtRes.cfg -domain SYS -internal

########################################################
# Install Homejoint EIO configuration
########################################################

config -filename $BOOTPATH/Irbp/cfg/eio/hjeio.cfg -domain EIO
config -filename $BOOTPATH/Irbp/cfg/eio/hjeioPR2.cfg -domain EIO
config -filename $BOOTPATH/Irbp/cfg/eio/hjeioR11.cfg -domain EIO
config -filename $BOOTPATH/Irbp/cfg/eio/hjeioR21.cfg -domain EIO

########################################################
# Install code for IRBP-K
########################################################

copy -from $BOOTPATH/Irbp/Code/IrbpK1Data.sys -to $HOME/FlexArc/Irbp/IrbpK1Data.sys
config -filename $BOOTPATH/Irbp/cfg/sys/sIrbp1Rg.cfg -domain SYS
config -filename $BOOTPATH/Irbp/cfg/mmc/mIrbpR1Prc.cfg -domain SYS -internal
config -filename $BOOTPATH/Irbp/cfg/mmc/mIrbp1EEv.cfg -domain SYS -internal

########################################################
# Install PartAdvanced structure
########################################################
config -filename $BOOTPATH/Irbp/cfg/sys/sPartAdvShared.cfg -domain SYS -internal 
config -filename $BOOTPATH/Irbp/cfg/sys/sPartAdvR1.cfg -domain SYS -internal
config -filename $BOOTPATH/Irbp/cfg/sys/sPartAdvR2.cfg -domain SYS -internal
config -filename $BOOTPATH/Irbp/cfg/sys/sPartAdvP1.cfg -domain SYS -internal
config -filename $BOOTPATH/Irbp/cfg/mmc/mGAP_PARTADV.cfg -domain MMC -internal

setstr -strvar $TMP -value $BOOTPATH
setstr -strvar $BOOTPATH -value "$TMP/Irbp"
setstr -strvar $BOOTPATH -value "$TMP/Irbp/TXT"
include -path "$RELEASE/system/instlang.cmd"
setstr -strvar $BOOTPATH -value "$TMP"