#
# Property of ABB
#
# Install.cmd script for 5.0
#
# BUILD REV  = 1
# BUILD DATE = 2007/08/20
#
echo -text "Loading PowerSource Configuration..."
#
########################################################
# Check Powersource Selection  
########################################################

setvar -var 10 -value 0
getkey -id "PowerSource" -var 10 -strvar $ANSWER -errlabel NO_POWERSOURCE
goto -strvar $ANSWER

#RPB
########################################################
# Install RBP ROB1
########################################################

echo -text "Installing A314/A324 arm load ..."
config -filename $BOOTPATH/Irbp/cfg/moc/ext_d11a.cfg -domain MOC

echo -text "Installing RPB EIO config files..."
config -filename $BOOTPATH/Welder/cfg/eio/RPB/Pib_type.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/RPB/Pib_type_cmd.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/RPB/Sim_aw.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/RPB/Pib_eio_30.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/RPB/PibFlx30.cfg -domain EIO -replace

echo -text "Installing RPB PROC config files..."
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArcErrHandler.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1EquipRPBR11.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1SysPropRPB.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pAwConfRPB1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1Rob1RPB.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1IndRobRPB.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/sys/pib_sys_11.cfg -domain SYS

ifvc -label RPB1_SMS_VC
goto -label RPB1_SMS_RC
#RPB1_SMS_VC
config -filename $BOOTPATH/Welder/cfg/eio/RPB/VcCr_Pib.cfg -domain EIO -replace
#RPB1_SMS_RC
config -filename $BOOTPATH/Welder/cfg/eio/RPB/RPB_FhpE30.cfg -domain EIO -replace

########################################################
# Install RBP ROB2
########################################################

echo -text "Installing RPB EIO config files..."
config -filename $BOOTPATH/Welder/cfg/eio/RPB/Pib_eio_31.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/RPB/PibFlx31.cfg -domain EIO -replace

echo -text "Installing RPB PROC config files..."
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1EquipRPBR22.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pAwConfRPB2.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArc1Rob2RPB.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/sys/pib_sys_22.cfg -domain SYS

ifvc -label RPB2_MMS_VC_2
goto -label RPB2_MMS_RC_2
#RPB2_MMS_VC_2
config -filename $BOOTPATH/Welder/cfg/eio/RPB/VcCr_Pib2.cfg -domain EIO -replace
#RPB2_MMS_RC_2
config -filename $BOOTPATH/Welder/cfg/eio/RPB/RPB_FhpE31.cfg -domain EIO -replace

goto -label END_SCRIPT

#MIGROB
########################################################
# Install MIGROB ROB1
########################################################
config -filename $BOOTPATH/Irbp/cfg/moc/ext_d11a.cfg -domain MOC

echo -text "Installing PIB EIO signals..."
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_type.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_type_cmd.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_type_atec_cmd.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_eio_30.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/PibAc30.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Sim_aw.cfg -domain EIO -replace

echo -text "Installing MigRob 500 EIO config files..."
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_eio_40.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/IoMRobAw.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_Sim.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRobCros.cfg -domain EIO -replace

echo -text "Installing MigRob 500 process..."
config -filename $BOOTPATH/Welder/cfg/proc/RPB/pArcErrHandler.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1EquipMRobR11.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1SysPropMRob.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1IndRobMRob.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pAwConfMRob1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1Rob1MRob.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/sys/pib_sys_11.cfg -domain SYS

ifvc -label MROB500_FE_MMS_VC
goto -label MROB500_FE_MMS_RC
#MROB500_FE_MMS_VC
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/VcCr_Pib.cfg -domain EIO -replace
#MROB500_FE_MMS_RC
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_FhpE30.cfg -domain EIO -replace

########################################################
# Install MIGROB ROB2
########################################################

echo -text "Installing PIB EIO signals..."
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_eio_31.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/Pib_cmd_31.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/PibAc31.cfg -domain EIO -replace

echo -text "Installing MigRob 500 EIO config files..."
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_eio_41.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_cmd_41.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/IoMRobAw2.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_Sim2.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRobCros2.cfg -domain EIO -replace

echo -text "Installing MigRob 500 process..."
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1EquipMRobR22.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pAwConfMRob2.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MigRob/pArc1Rob2MRob.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/sys/pib_sys_22.cfg -domain SYS

ifvc -label MROB500_2FE_MMS_2_VC
goto -label MROB500_2FE_MMS_2_RC
#MROB500_2FE_MMS_2_VC
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/VcCr_Pib2.cfg -domain EIO -replace
#MROB500_2FE_MMS_2_RC
config -filename $BOOTPATH/Welder/cfg/eio/MigRob/MigRob_FhpE31.cfg -domain EIO -replace

goto -label END_SCRIPT

########################################################
# Install ARISTOMIGINT ROB1
########################################################
#ARISTOMIGINT
config -filename $BOOTPATH/Irbp/cfg/moc/ext_d11a.cfg -domain MOC
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArcErrHandler.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/Sim_aw.cfg -domain EIO -replace
#
echo -text "Installing EIO AristoMig integrated..."
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AmigInt_eio_40.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/IoAmigIntAw.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AMigInt_Sim.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AMigInt_Cros.cfg -domain EIO -replace

#AMIGINT_1FE_START

echo -text "Installing AristoMig integrated process..."
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1EquipAmigIntR11.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1SysPropAmigInt.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1IndRobAmigInt.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pAwConfAmigInt1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1Rob1AmigInt.cfg -domain PROC -replace

ifvc -label AMIGINT_FE_MMS_VC
goto -label AMIGINT_FE_MMS_RC

#AMIGINT_FE_MMS_VC
#AMIGINT_FE_MMS_RC

########################################################
# Install ARISTOMIGINT ROB2
########################################################

echo -text "Installing EIO AristoMig integrated..."
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AmigInt_eio_41.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/IoAmigIntAw2.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AMigInt_Sim2.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/AristoMigInt/AMigInt_Cros2.cfg -domain EIO -replace

#AMIGINT_2FE_START

echo -text "Installing AristoMig integrated process..."
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1EquipAmigIntR22.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pAwConfAmigInt2.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/AristoMigInt/pArc1Rob2AmigInt.cfg -domain PROC -replace

ifvc -label AMIGINT_2FE_MMS_2_VC
goto -label AMIGINT_2FE_MMS_2_RC

#AMIGINT_2FE_MMS_2_VC
#AMIGINT_2FE_MMS_2_RC

goto -label END_SCRIPT

#############################################################################
#  Fronius TPS powersource
#############################################################################
#F4500MW
echo -text "Installing A314/A324 arm load ..."
config -filename $BOOTPATH/Irbp/cfg/moc/ext_d11a.cfg -domain MOC
#
config -filename $BOOTPATH/Welder/cfg/eio/Fronius/eio_UnitR1.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/Fronius/eio_UnitR2.cfg -domain EIO -replace
#
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Errorhandler.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_System_prop.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Equip_propR1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Equip_propR2.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Rob_propR1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Rob_propR2.cfg -domain PROC -replace

setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel SMARTAC
goto -strvar $ANSWER
#PLC
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Equip_Stnd_IO_R1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pArc_Equip_Stnd_IO_R2.cfg -domain PROC -replace
#

#SMARTAC
setvar -var 10 -value 0
getkey -id "SmarTac" -var 10 -strvar $ANSWER -errlabel Navigator
goto -strvar $ANSWER
#YES
config -filename $BOOTPATH/Welder/cfg/eio/Fronius/eio_SmarTacR1.cfg -domain EIO 
config -filename $BOOTPATH/Welder/cfg/eio/Fronius/eio_SmarTacR2.cfg -domain EIO 
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pSmarTacR1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pSmarTacR2.cfg -domain PROC -replace

#Navigator
setvar -var 10 -value 0
getkey -id "Navigator" -var 10 -strvar $ANSWER -errlabel END_SCRIPT
goto -strvar $ANSWER
#YES
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pNavigatorR1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/Fronius/pNavigatorR2.cfg -domain PROC -replace

goto -label END_SCRIPT

#MAUTOAXCESS
#############################################################################
# Miller AutoAxcess powersource
#############################################################################
echo -text "Installing Miller arm load ..."
echo -text " "
config -filename $BOOTPATH/Welder/cfg/moc/MillerAA/Miller_AA_Armload.cfg -domain MOC 
#
echo -text "Installing EIO files for Miller AutoAxcess ..."
config -filename $BOOTPATH/Welder/cfg/eio/MillerAA/Phoenix_Unit_Type.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MillerAA/PX_Block_eio_R1.cfg -domain EIO -replace
config -filename $BOOTPATH/Welder/cfg/eio/MillerAA/PX_Block_eio_R2.cfg -domain EIO -replace

#
echo -text "Installing Miller AutoAxcess process..."
config -filename $BOOTPATH/Welder/cfg/proc/MillerAA/pArcErrHandler.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MillerAA/PROC_MILLER_AA_R1.cfg -domain PROC -replace
config -filename $BOOTPATH/Welder/cfg/proc/MillerAA/PROC_MILLER_AA_R2.cfg -domain PROC -replace

goto -label END_SCRIPT

########################################################
# Add additional Files here
########################################################
#ARCITEC
#F5000MW
#ELUD
#LPW455M
#MDELTAWELD
#STDIOWELD
#SIMWELD
#EXTWELD
#NO_POWERSOURCE
#
#END_SCRIPT
echo -text "Loading PowerSource Configuration done"
