mkdir -path $HOME/FlexArc/Bullseye
##############################################################################
# Check if Bullseye option loaded  
##############################################################################

setvar -var 10 -value 0
getkey -id "BullsEye" -var 10 -strvar $ANSWER -errlabel END_SCRIPT
goto -strvar $ANSWER
#YES

echo -text "Installing FlexArc configuration for Bullseye ..."
setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel SINGLE_ARC
goto -strvar $ANSWER

##############################################################################
# Load Bullseye-CellLayer code (sBeAutoCycle,sTcpByTime) for T_ROB1 and T_ROB2 
##############################################################################

#MUPROC
copy -from $BOOTPATH/Cell/Bullseye/Code/sBeAutoCycleR1.sys -to $HOME/FlexArc/Bullseye/sBeAutoCycleR1.sys
copy -from $BOOTPATH/Cell/Bullseye/Code/sBeAutoCycleR2.sys -to $HOME/FlexArc/Bullseye/sBeAutoCycleR2.sys
copy -from $BOOTPATH/Cell/Bullseye/Code/sTcpByTime.sys -to $HOME/FlexArc/Bullseye/sTcpByTime.sys

config -filename $BOOTPATH/Cell/Bullseye/cfg/eio/eBullseyeR1.cfg -domain EIO
config -filename $BOOTPATH/Cell/Bullseye/cfg/eio/eBullseyeR2.cfg -domain EIO
config -filename $BOOTPATH/Cell/Bullseye/cfg/mmc/mTcpByTime.cfg -domain MMC
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBullseyeR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBullseyeR2.cfg -domain SYS

##############################################################################
# Load User code (mBeUser) for T_ROB1 and T_ROB2 
##############################################################################

setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER

#ALLCODE
copy -from $BOOTPATH/Cell/Bullseye/Code/mBeUserR1.mod -to $HOME/FlexArc/Bullseye/mBeUserR1.mod
copy -from $BOOTPATH/Cell/Bullseye/Code/mBeUserR2.mod -to $HOME/FlexArc/Bullseye/mBeUserR2.mod
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBeUserR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBeUserR2.cfg -domain SYS

#Layer
goto -label END_SCRIPT

##############################################################################
# Load Bullseye-CellLayer code (sBeAutoCycle,sTcpByTime) for T_ROB1 only 
##############################################################################

#SINGLE_ARC
copy -from $BOOTPATH/Cell/Bullseye/Code/sBeAutoCycleR1.sys -to $HOME/FlexArc/Bullseye/sBeAutoCycleR1.sys
copy -from $BOOTPATH/Cell/Bullseye/Code/sTcpByTime.sys -to $HOME/FlexArc/Bullseye/sTcpByTime.sys

config -filename $BOOTPATH/Cell/Bullseye/cfg/eio/eBullseyeR1.cfg -domain EIO
config -filename $BOOTPATH/Cell/Bullseye/cfg/mmc/mTcpByTime.cfg -domain MMC
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBullseyeR1.cfg -domain SYS

##############################################################################
# Load User code (mBeUser) for T_ROB1  
##############################################################################

setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER

#ALLCODE
copy -from $BOOTPATH/Cell/Bullseye/Code/mBeUserR1.mod -to $HOME/FlexArc/Bullseye/mBeUserR1.mod
config -filename $BOOTPATH/Cell/Bullseye/cfg/sys/sBeUserR1.cfg -domain SYS

#Layer
echo -text "Installing FlexArc configuration for Bullseye done ..."
#END_SCRIPT