mkdir -path $HOME/FlexArc/CellLayer
##############################################################################
# Load Virtual OpReady if VC 
##############################################################################
ifvc -label VCOpReady
goto -label Cell
#VCOpReady

echo -text "Installing configfiles for VC..."

config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Vc/eVC_Gap_Run_Part.cfg -domain EIO -replace 
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Vc/eVCOpReady.cfg -domain EIO -replace

echo -text "Configfiles for VC installed..."

#Cell
##############################################################################
# Install FlexArc EIO configuration
##############################################################################

echo -text "Installing FlexArc CellLayer configuration  ..."

config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Board20/eio_Board20.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Pnoz/eio_Pnoz.cfg -domain EIO -replace
#
ifvc -label Next

setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel NOPLC
goto -strvar $ANSWER

#NOPLC
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/RunPart/eio_Gap_Run_Part.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Vc/eOpReady.cfg -domain EIO -replace

#PLC
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Vc/eOpReadyPLC.cfg -domain EIO -replace

#Next
##############################################################################
#Check if FlexArc Single or FlexArc MultiMove
##############################################################################

setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel SINGLE_ARC
goto -strvar $ANSWER
#MUPROC

#MUPROC
copy -from $BOOTPATH/VisualFlexArc/tps/Multi_UserConfig.xml -to $HOME/UserConfig.xml
#############################################################################
# Install configuration files for FlexArc Multi
#############################################################################

config -filename $BOOTPATH/Cell/CellLayer/cfg/proc/pGapSettings_VisualFlexArc.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/CellLayer/cfg/proc/pProdMon_Settings_Multi.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_cc_Multi.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_R1.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_R2.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Board20/eio_Board20_R1.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Board20/eio_Board20_R2.cfg -domain EIO

setvar -var 10 -value 0
getkey -id "Albany" -var 10 -strvar $ANSWER -errlabel BEAM
goto -strvar $ANSWER

#Albany
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sRolldoor.sys -to $HOME/FlexArc/CellLayer/sRolldoor.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerR1_RD.cfg -domain SYS
goto -label Layer

#BEAM
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sLightbeam.sys -to $HOME/FlexArc/CellLayer/sLightbeam.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerR1_LB.cfg -domain SYS

##############################################################################
# Check if PLC option is selected   
##############################################################################
setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel NO_PLC
goto -strvar $ANSWER

#PLC
goto -label Layer

#NO_PLC
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_cc_Lightbeam.cfg -domain EIO

#Layer
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sCellLayerR2.sys -to $HOME/FlexArc/CellLayer/sCellLayerR2.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerR2.cfg -domain SYS
#
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sCellLayerP1.sys -to $HOME/FlexArc/CellLayer/sCellLayerP1.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerP1.cfg -domain SYS

setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER
#ALLCODE
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mMain.mod -to $HOME/FlexArc/CellLayer/mMain.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sGapMainR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sGapMainR2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sGapMainP1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mServiceR1.mod -to $HOME/FlexArc/CellLayer/mServiceR1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mServiceR2.mod -to $HOME/FlexArc/CellLayer/mServiceR2.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mServiceP1.mod -to $HOME/FlexArc/CellLayer/mServiceP1.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sService_R1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sService_R2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sService_P1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mSetupR1.mod -to $HOME/FlexArc/CellLayer/mSetupR1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mSetupR2.mod -to $HOME/FlexArc/CellLayer/mSetupR2.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mSetupP1.mod -to $HOME/FlexArc/CellLayer/mSetupP1.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sSetup_R1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sSetup_R2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sSetup_P1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sProcessDataR1.sys -to $HOME/FlexArc/CellLayer/sProcessDataR1.sys
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sProcessDataR2.sys -to $HOME/FlexArc/CellLayer/sProcessDataR2.sys
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/sProcessDataP1.sys -to $HOME/FlexArc/CellLayer/sProcessDataP1.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sProcessDataR1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sProcessDataR2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sProcessDataP1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartR1S1.mod -to $HOME/FlexArc/CellLayer/mPartR1S1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartR1S2.mod -to $HOME/FlexArc/CellLayer/mPartR1S2.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartR2S1.mod -to $HOME/FlexArc/CellLayer/mPartR2S1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartR2S2.mod -to $HOME/FlexArc/CellLayer/mPartR2S2.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartP1S1.mod -to $HOME/FlexArc/CellLayer/mPartP1S1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Multi/mPartP1S2.mod -to $HOME/FlexArc/CellLayer/mPartP1S2.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR1S1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR1S2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR2S1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR2S2.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartP1S1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartP1S2.cfg -domain SYS


#Layer
goto -label END_SCRIPT

#SINGLE_ARC
copy -from $BOOTPATH/VisualFlexArc/tps/Single_UserConfig.xml -to $HOME/UserConfig.xml
#############################################################################
# Install configuration files for FlexArc Single
#############################################################################
config -filename $BOOTPATH/Cell/CellLayer/cfg/proc/pProdMon_Settings_Single.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_cc_Single.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_R1.cfg -domain EIO
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Board20/eio_Board20_R1.cfg -domain EIO

setvar -var 10 -value 0
getkey -id "Albany" -var 10 -strvar $ANSWER -errlabel BEAM
goto -strvar $ANSWER

#Albany
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerR1_RD_SM.cfg -domain SYS
copy -from $BOOTPATH/Cell/CellLayer/Code/Single/sRolldoor.sys -to $HOME/FlexArc/CellLayer/sRolldoor.sys

goto -label Layer

#BEAM
copy -from $BOOTPATH/Cell/CellLayer/Code/Single/sLightbeam.sys -to $HOME/FlexArc/CellLayer/sLightbeam.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sCellLayerR1_LB_SM.cfg -domain SYS

#NEXT
##############################################################################
# Check if PLC option is selected   
##############################################################################
setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel NO_PLC
goto -strvar $ANSWER

#PLC
goto -label Layer

#NO_PLC
config -filename $BOOTPATH/Cell/CellLayer/cfg/eio/Simboard/eio_Simboard_cc_Lightbeam.cfg -domain EIO

#Layer
setvar -var 10 -value 0
getkey -id "Layer" -var 10 -strvar $ANSWER -errlabel ALLCODE
goto -strvar $ANSWER

#ALLCODE
copy -from $BOOTPATH/Cell/CellLayer/Code/Single/mMain.mod -to $HOME/FlexArc/CellLayer/mMain.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sGapMainR1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Single/mServiceR1.mod -to $HOME/FlexArc/CellLayer/mServiceR1.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sService_R1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Single/sProcessDataR1.sys -to $HOME/FlexArc/CellLayer/sProcessDataR1.sys
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sProcessDataR1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Single/mSetupR1.mod -to $HOME/FlexArc/CellLayer/mSetupR1.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sSetup_R1.cfg -domain SYS

copy -from $BOOTPATH/Cell/CellLayer/Code/Single/mPartR1S1.mod -to $HOME/FlexArc/CellLayer/mPartR1S1.mod
copy -from $BOOTPATH/Cell/CellLayer/Code/Single/mPartR1S2.mod -to $HOME/FlexArc/CellLayer/mPartR1S2.mod
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR1S1.cfg -domain SYS
config -filename $BOOTPATH/Cell/CellLayer/cfg/sys/sPartR1S2.cfg -domain SYS
goto -Label END_SCRIPT

#Layer
goto -label END_SCRIPT

echo -text "Installing FlexArc CellLayer configuration done ..."

#END_SCRIPT

