mkdir -path $HOME/FlexArc/PLC
##############################################################################
# Check if PLC option loaded  
##############################################################################
setvar -var 10 -value 0
getkey -id "PLC" -var 10 -strvar $ANSWER -errlabel NO_PLC
goto -strvar $ANSWER

#PLC
copy -from $BOOTPATH/Cell/PLC/Code/sPLC_1.sys -to $HOME/FlexArc/PLC/sPLC_1.sys
config -filename $BOOTPATH/Cell/PLC/cfg/sys/sPLC_1.cfg -domain SYS

ifvc -label END_SCRIPT 

setvar -var 10 -value 0
getkey -id "Albany" -var 10 -strvar $ANSWER -errlabel BEAM
goto -strvar $ANSWER

##############################################################################
# Load configuration files PLC with Rolldoor 
##############################################################################
#Albany
copy -from $BOOTPATH/Cell/PLC/Code/sPLC_RD.sys -to $HOME/FlexArc/PLC/sPLC_RD.sys
config -filename $BOOTPATH/Cell/PLC/cfg/sys/sPLC_RD.cfg -domain SYS 
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_plc_with_Rolldoor.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_cc_plc_with_Rolldoor.cfg -domain EIO -replace
goto -label EIOSignal

##############################################################################
# Load configuration files PLC with Lightbeam 
##############################################################################
#BEAM
copy -from $BOOTPATH/Cell/PLC/Code/sPLC_LB.sys -to $HOME/FlexArc/PLC/sPLC_LB.sys
config -filename $BOOTPATH/Cell/PLC/cfg/sys/sPLC_LB.cfg -domain SYS 
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_plc_with_Lightbeam.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_cc_plc_with_Lightbeam.cfg -domain EIO -replace

#EIOSignal
##############################################################################
# Load Plc configfiles
##############################################################################

config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_Pnoz.cfg -domain EIO
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_OpReady.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_GapRunPart.cfg -domain EIO -replace
config -filename $BOOTPATH/Cell/PLC/cfg/eio/eio_Board20_PLC.cfg -domain EIO 

setvar -var 10 -value 0
getkey -id "ProcessType" -var 10 -strvar $ANSWER -errlabel SINGLE_ARC
goto -strvar $ANSWER

#MUPROC
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_Commands_R1.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_Commands_R2.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_Commands_P1.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_State_R1.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_State_R2.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_State_P1.cfg -domain PROC -replace
goto -label END_SCRIPT

#SINGLE_ARC
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_Commands_R1.cfg -domain PROC -replace
config -filename $BOOTPATH/Cell/PLC/cfg/proc/Gap_API_State_R1.cfg -domain PROC -replace

echo -text "FlexArc PLC Support installed..."
goto -label END_SCRIPT

#NO_PLC
copy -from $BOOTPATH/Cell/PLC/Code/sPLC_0.sys -to $HOME/FlexArc/PLC/sPLC_0.sys
config -filename $BOOTPATH/Cell/PLC/cfg/sys/sPLC_0.cfg -domain SYS 
#END_SCRIPT





