%%%
  VERSION:1
  LANGUAGE:ENGLISH
%%%

MODULE mPartR1S1
  !**********************************************************
  !
  ! (c) ABB
  !
  !**********************************************************
  !
  ! Module:       PartR1S1
  !
  ! Written by:    
  !
  ! Description:  Module that holds the robot 1 program for station 1.
  !
  ! Procedures:   ProgStn1
  !
  ! Functions:    None
  !
  ! Created:      2007-06-03
  !
  ! Version:      1.0
  !
  ! History:      1.0
  !                  
  !                
  !                  
  !                  
  !                
  !                  
  !       If your FlexArc has a Siemens 315-2DP PLC the
  !       following Codes are pre-defined.  
  !
  ! 	    Code 1 - 127 Tooling without control/signals 
  ! 		  Code 128 - 254 Tooling with control/signals 
  !       Code 255 - DryRun 
  !
  !       Add the PLC code to partdata  
  !************************************************************
  !
  PERS partdata pdProgStn1:=["ProgStn1","Program station 1","T_ROB1:T_ROB2:T_POS1",1,1,"GapEmptyPart200.gif","pdvProgStn1"];
  PERS partadv pdvProgStn1:=[[0,0,0,0,0,0],[0,0,0,0,0,0],[0,0,0,0,0,0],[0,[0,0,0],[0,0,0,0],0,0,0]];
  !
  PERS partdata pdEmptyCycleS1:=["EmptyCycleStn1","No production on station 1","T_ROB1:T_ROB2:T_POS1",1,255,"GapEmptyPart200.gif","pdvEmptyCycleS1"];
  PERS partadv pdvEmptyCycleS1:=[[0,0,0,0,0,0],[0,0,0,0,0,0],[0,0,0,0,0,0],[0,[0,0,0],[0,0,0,0],0,0,0]];
  !
  !
  !---------------------------------------------------------------------------
  ! Procedure ProgStn1
  !---------------------------------------------------------------------------
  !
  PROC ProgStn1()
    !
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
    RecoveryPosSet\ServRoutine:="ServiceRoutine";
    !
    ! This is the work program for station 1
    ! Put your process instructions here or
    ! put a procedure call for your program
    !
    ! Remove below stop instruction before
    ! production.
    !
    Stop;
    !  
    CellMoveAbsJ jtHome,v1000,fine,tWeldGun\WObj:=wobj0;
	  RecoveryPosReset;    
	  !
  ENDPROC

  !---------------------------------------------------------------------------
  ! Procedure EmptyCycle_Stn1
  !---------------------------------------------------------------------------
  !
  PROC EmptyCycleStn1()
    RETURN;
  ENDPROC
ENDMODULE
